"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var NgxMaterialDialComponent = /** @class */ (function () {
    function NgxMaterialDialComponent() {
        this.value = 180;
        this.valueChange = new core_1.EventEmitter();
    }
    NgxMaterialDialComponent.prototype.onClick = function (e) {
        this.value = this.calcAngle(e.offsetX, e.offsetY);
        this.valueChange.emit(this.value);
        this.redraw();
    };
    NgxMaterialDialComponent.prototype.calcAngle = function (x, y) {
        return Math.round(Math.atan2(y - 50, x - 50) * (180 / Math.PI)) + 90;
    };
    NgxMaterialDialComponent.prototype.redraw = function () {
        this.rootElement.nativeElement.style.transform = 'rotate(' + this.value + 'deg)';
    };
    NgxMaterialDialComponent.prototype.ngOnInit = function () {
        this.redraw();
    };
    NgxMaterialDialComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ngx-material-dial',
                    templateUrl: './dial.component.html',
                    styleUrls: ['./dial.component.css']
                },] },
    ];
    /** @nocollapse */
    NgxMaterialDialComponent.propDecorators = {
        "rootElement": [{ type: core_1.ViewChild, args: ['rootElement',] },],
        "value": [{ type: core_1.Input },],
        "valueChange": [{ type: core_1.Output },],
    };
    return NgxMaterialDialComponent;
}());
exports.NgxMaterialDialComponent = NgxMaterialDialComponent;
